---
title: Get Users by Tenant
slug: api-documentation/get-users-by-tenant
docTags: 
createdAt: 2026-08-27T16:18:26.773Z
---

{
  "id": "fSqO6ZOcLiQYdT21GKuNZ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/user/list/{tenantId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/user/list/{tenantId}"
      }
    ],
    "name": "Get Users by Tenant",
    "description": "<p>This endpoint returns a page of users for the indicated tenant. All query parameters are optional and combine with AND; omitting them all returns the first page of the tenant's users ordered by name.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "tenantId",
          "type": "string",
          "description": "Unique identifier for the tenant."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "q",
          "type": "string",
          "description": "<p>Case-insensitive substring match against the user's name, login or email address. A user matches if any one of the three hits. An empty value is treated as absent.</p>"
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "description": "Filter by lock state. An empty value is treated as absent.",
          "enum": [
            "locked",
            "active"
          ]
        },
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "Field to order by. Defaults to name. The user id is always the final tiebreaker.",
          "enum": [
            "name",
            "login",
            "emailAddress"
          ]
        },
        {
          "kind": "optional",
          "name": "sortDir",
          "type": "string",
          "description": "Sort direction. Defaults to asc.",
          "enum": [
            "asc",
            "desc"
          ]
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer<int32>",
          "description": "<p>Zero-based page index. Defaults to 0.</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "<p>Items per page. Defaults to 50, clamped to 500.</p>",
          "format": "int32"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to ''LoggedIn'', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-users returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>A page of users, with the page number, page size and total count.</p>",
            "customType": "UserListResponse",
            "schema": [
              {
                "name": "items",
                "kind": "required",
                "type": "array",
                "description": "<p>Summary of a user: identity, contact details, tenant, role assignments and lock state.</p>",
                "modelRef": "#/components/schemas/UserSummary",
                "customType": "UserSummary[]",
                "schema": [
                  {
                    "name": "emailAddress",
                    "kind": "required",
                    "type": "string<email>",
                    "description": "The user's email address.",
                    "example": "example@example.com",
                    "format": "email"
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string<UUID>",
                    "description": "Unique identifier for this user. If it is not provided a UUID will be allocated.",
                    "format": "UUID"
                  },
                  {
                    "name": "lock",
                    "kind": "required",
                    "type": "boolean",
                    "description": "This indicates whether the user is currently locked out of the system.",
                    "default": false
                  },
                  {
                    "name": "login",
                    "kind": "required",
                    "type": "string",
                    "description": "<p>The login (username) that is being requested for the user.</p>"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "<p>First, last, and (optional) middle names of the user.</p>"
                  },
                  {
                    "name": "userRoles",
                    "kind": "optional",
                    "type": "object",
                    "description": "<p>A map indexed by a tenant name listing all tenant-level roles and site-level roles.\nFor example:\n{\n\"tenant1\" : {\n\"roleIds\" : [\"some.role1\",\"some.role2\"],\nsites: {\n\"site1\": {\n\"roleIds\": [\"some.role3\",\"some.role4\"]\n},\n\"site2\": {\n\"roleIds\": [\"some.role4\",\"some.role6\"]\n}\n}\n},\n\"tenant2\" : {\n\"roleIds\" : [\"some.other.role1\",\"some.other.role2\"],\nsites: {\n\"site1\": {\n\"roleIds\": [\"some.other.role3\",\"some.other.role4\"]\n},\n\"site2\": {\n\"roleIds\": [\"some.other.role5\",\"some.other.role6\"]\n}\n}\n}\n}</p>",
                    "example": "{\"tenant-name-1\":{\"roleIds\":[\"catalog.mgmt\"],\"sites\":{\"example-site-name-1\":{\"roleIds\":[\"order.mgmt\"]},\"example-site-name-2\":{\"roleIds\":[\"order.mgmt\"]}}},\"tenant-name-2\":{\"roleIds\":[\"user.mgmt\"],\"sites\":{\"example-site-name-1\":{\"roleIds\":[]},\"example-site-name-2\":{\"roleIds\":[\"inventory.mgmt\"]}}}}",
                    "modelRef": "#/components/schemas/UserRoles",
                    "customType": "UserRoles",
                    "schema": []
                  },
                  {
                    "name": "phoneNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "The contact phone number for this user."
                  },
                  {
                    "name": "registrationDate",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "<p>The date/time on which this user was created.</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "tenant",
                    "kind": "required",
                    "type": "string",
                    "description": "This is the id of the tenant that this user is associated with."
                  },
                  {
                    "name": "isPasswordAllowed",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Indicates if the user is allowed to set a password or must use social authentication."
                  }
                ]
              },
              {
                "name": "page",
                "kind": "required",
                "type": "integer",
                "description": "<p>Zero-based page index.</p>"
              },
              {
                "name": "pageSize",
                "kind": "required",
                "type": "integer",
                "description": "<p>Number of items per page. Clamped server-side to a maximum of 500.</p>"
              },
              {
                "name": "total",
                "kind": "required",
                "type": "integer",
                "description": "Number of users matching the filters before paging is applied."
              }
            ],
            "modelRef": "#/components/schemas/UserListResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Details of a request that failed validation.",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Credentials are missing, expired or insufficient (HTTP 401).</p>",
            "customType": "UnauthorizedError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UnauthorizedError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request is understood but refused (HTTP 403).</p>",
            "customType": "ForbiddenError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ForbiddenError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The addressed resource does not exist (HTTP 404).</p>",
            "customType": "NotFoundError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/NotFoundError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The request conflicts with the current state of the resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request conflicts with existing state (HTTP 409).</p>",
            "customType": "ConflictError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ConflictError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request failed for an unexpected reason (HTTP 500).</p>",
            "customType": "InternalServerError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/InternalServerError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "1vAuTRbDWGDueE4k-k4Nm",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/user/list/{tenantId} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "stl9O3jHbb1QR_8376evs",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/user/list/{tenantId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OjsU8AqWyH2w2YF9RpWsM",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/user/list/{tenantId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "kqeT-ry69UuliNPZQoWXP",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/user/list/{tenantId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "1vAuTRbDWGDueE4k-k4Nm"
    },
    "results": {
      "languages": [
        {
          "id": "vrnltprTIereiUM7GTHF2",
          "language": "200",
          "code": "// Success-users returned.\n{\n  \"items\": [\n    {\n      \"emailAddress\": \"example@example.com\",\n      \"id\": \"\",\n      \"lock\": false,\n      \"login\": \"\",\n      \"name\": \"\",\n      \"userRoles\": {},\n      \"phoneNumber\": \"\",\n      \"registrationDate\": \"\",\n      \"tenant\": \"\",\n      \"isPasswordAllowed\": false\n    }\n  ],\n  \"page\": 0,\n  \"pageSize\": 0,\n  \"total\": 0\n}"
        },
        {
          "id": "PmcNuIumlR24CWcZiYm0t",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    \"\"\n  ],\n  \"reason\": \"\"\n}"
        },
        {
          "id": "pa7k_mjct5KEbxpHY8Dru",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "zxFwy6Yi-KUlO1kQLuGJQ",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "LTijnG60DEBj49-CJgKGk",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "0ZCL9_xX8WLK_rg_KtNDV",
          "language": "409",
          "code": "// The request conflicts with the current state of the resource.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "ZkymqBKsF7Djj4rr3Xgg1",
          "language": "500",
          "code": "// Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "vrnltprTIereiUM7GTHF2"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}